Package org.apache.commons.configuration2.builder

## Interface INIBuilderProperties<T>

- Type Parameters:
    `T` - the type of the result of all set methods for method chaining
  All Known Subinterfaces:
    `INIBuilderParameters`
  All Known Implementing Classes:
    `INIBuilderParametersImpl`

      public interface INIBuilderProperties<T>

  Definition of a parameters interface for INI configurations.

  The `INIConfiguration` class defines a bunch of additional properties related to INI processing.

  Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

  Since:
    2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default T` | `setCommentLeadingCharsUsedInInput​(String separator)` | Allows setting the leading comment separator which is used in reading an INI file.
    `default T` | `setSeparatorUsedInInput​(String separator)` | Allows setting the key and value separator which is used in reading an INI file.
    `T` | `setSeparatorUsedInOutput​(String separator)` | Allows setting the separator between key and value to be used when writing an INI file.

- - ### Method Detail

    - #### setCommentLeadingCharsUsedInInput

          default T setCommentLeadingCharsUsedInInput​(String separator)

      Allows setting the leading comment separator which is used in reading an INI file.
      Parameters:
        `separator` - String of the new separator for INI reading
      Returns:
        a reference to this object for method chaining
      Since:
        2.5

    - #### setSeparatorUsedInInput

          default T setSeparatorUsedInInput​(String separator)

      Allows setting the key and value separator which is used in reading an INI file.
      Parameters:
        `separator` - String of the new separator for INI reading
      Returns:
        a reference to this object for method chaining
      Since:
        2.5

    - #### setSeparatorUsedInOutput

          T setSeparatorUsedInOutput​(String separator)

      Allows setting the separator between key and value to be used when writing an INI file.
      Parameters:
        `separator` - the new separator for INI output
      Returns:
        a reference to this object for method chaining